//
//  AppDelegate.swift
//  AIEmoji
//
//  Created by 100Years on 2025/1/15.
//

import UIKit
import SQLite3
@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        window = UIWindow(frame: UIScreen.main.bounds)
        window?.backgroundColor = UIColor.white
        window?.makeKeyAndVisible()
        initPlatform()
        goToLoadVC()
        return true
    }

    func goToLoadVC() {
        let launchVC = TSLaunchVC()
        launchVC.dismissHandler = { [weak self]  in
            guard let self = self else { return }
            JudgmentSkipPage()
        }
        window?.rootViewController = launchVC
    }

    func goToTab(){
        window?.rootViewController = TSTabBarController()
    }
    

    func JudgmentSkipPage() {
        if UserDefaults.standard.string(forKey: "isFirstInstallApp") == nil {
            window?.rootViewController = TSBootPageVC { [weak self]  in
                guard let self = self else { return }
                UserDefaults.standard.set("1", forKey: "isFirstInstallApp")
                UserDefaults.standard.synchronize()
                goToTab()
            }
        }else{
            goToTab()
        }
    }
    
    
    
    func initPlatform() {
        TSColorConfigShared.naviMianTextColor = .white
    }

}

extension AppDelegate {
    
    func applicationWillTerminate(_ application: UIApplication) {
        // 当应用即将被终止时，这里也可以添加数据保存逻辑，但系统留给的时间很有限
        NotificationCenter.default.post(name: .kApplicationWillTerminate, object: nil)
    }
}

